//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

class ZombieMedicChange extends ZombieChange
{
    dispenserEntity = null;

    function CanApply()
    {
        return player.GetPlayerClass() == TF_CLASS.MEDIC;
    }

    function OnApply()
    {
        dispenserEntity = SpawnEntityFromTable("pd_dispenser", {
            TeamNum = player.GetTeam(),
            origin = player.GetCenter()
        })
        EntFireByHandle(dispenserEntity, "SetParent", "!activator", 0.1, player, player)
    }

    function OnDeath(params)
    {
        local player;
        if ((player = vscript.GetPlayerFromParams(params)) == null)
            return;
        OnDisconnect(player);
    }

    function OnDisconnect(player)
    {
        if (dispenserEntity != null)
            dispenserEntity.Destroy();
    }
}
characterChangesClasses.push(ZombieMedicChange);